#!/bin/sh
#Ejbdeploy.sh for unix

if [ "$ITP_LOC" = "" ] ; then
. setupCmdLine.sh
fi

# Spit out minor error about itp loc not being set.
if [ "$ITP_LOC" = "" ] ; then
    echo "need to set ITP_LOC"
fi

# Set the classpath needed for the deploytool
ejbd_cp=$ITP_LOC/batch.jar:$ITP_LOC/batch_nl1.jar

PLATFORM=`/bin/uname`
case $PLATFORM in
  OS/390)
      # For z/OS, use ascii file-encoding and ebcdic output-encoding
      JAVA_CMD="$JAVA_HOME/bin/java"
      EJBDEPLOY_JVM_OPTIONS="-Dfile.encoding=ISO8859-1 -Xnoargsconversion -Dws.output.encoding=Cp1047 "$EJBDEPLOY_JVM_OPTIONS
      if [ "$EJBCALLER" = "WEBSPHERE" ] ; then	
         #ejbd_cp=$ejbd_cp':'$WAS_CLASSPATH 
         EJBDEPLOY_JVM_OPTIONS=$EJBDEPLOY_JVM_OPTIONS" -Dws.output.encoding=ISO8859-1 " 
      fi;;
  *)
      JAVA_CMD="$JAVA_HOME/jre/bin/java";;
esac

# Enable quickstart when possible
# case $PLATFORM in
#   SunOS | HP-UX)
#     QUICKSTART=;;
#   *)
#     QUICKSTART=-Xquickstart;;
# esac

# set options for ejb deploy....
ejbdopts="$@"
export itp_cp ejbd_cp ejbdopts QUICKSTART

$JAVA_CMD \
    -Xms64m -Xmx256m \
    -Dws.ext.dirs=$WAS_EXT_DIRS \
    -Dwebsphere.lib.dir=$WAS_HOME/lib \
    -cp $ejbd_cp \
    $EJBDEPLOY_JVM_OPTIONS \
    com.ibm.etools.ejbdeploy.EJBDeploy "$@"

